Bug 914295 - perl-MIME-Lite-HTML: FTBFS in rawhide
perl-MIME-Lite-HTML: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-MIME-Lite-HTML (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
: 992670 (view as bug list)
Depends On:
Blocks: F19FTBFS F20FTBFS
  Show dependency treegraph
 
Reported: 2013-02-22 04:58 EST by Dennis Gilmore
Modified: 2013-11-10 01:33 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-MIME-Lite-HTML-1.24-8.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-31 23:51:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec file patch (1.63 KB, patch)
2013-10-23 08:57 EDT, Xavier Bachelot
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 86020 None None None Never

  None (edit)
Description Dennis Gilmore 2013-02-22 04:58:15 EST
Your package perl-MIME-Lite-HTML failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4972644

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/2644/4972644/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/2644/4972644/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/2644/4972644/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
Comment 1 Fedora End Of Life 2013-04-03 14:02:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Petr Pisar 2013-08-08 02:44:32 EDT
Tests fail.
Comment 3 Petr Pisar 2013-10-15 08:19:06 EDT
This package does not work since Perl 5.16 <http://matrix.cpantesters.org/?dist=MIME-Lite-HTML+1.24> (Fedora 18 <https://koji.fedoraproject.org/koji/packageinfo?packageID=12018>). This package is not needed for any other package in the distribution.

I propose to retire this package <https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life>.
Comment 4 Petr Pisar 2013-10-15 08:20:13 EDT
*** Bug 992670 has been marked as a duplicate of this bug. ***
Comment 5 Xavier Bachelot 2013-10-15 09:15:34 EDT
This package is needed for another package that is not yet in Fedora. Unfortunately, the upstream module maintainer has not been responsive and this bug is indeed open for a long time. I need to take another look at fixing the test failure, but I'm not sure I'll be up to the task. If you have any spare cycles to spend on this, I would be grateful. Btw, the link to your own cpan bug report is invalid.
Comment 6 Xavier Bachelot 2013-10-16 04:19:25 EDT
The test failures are related to MIME::Lite update from 3.028 to 3.029, which happened for f18, this is not related to perl 5.16.
The changelog says : "Allow the MIME-Version header to be replaced"

Regenerating the MIME::Lite::HTML test files fixes the issue :
perl -Iblib/lib t/20create_image_part.t 1
perl -Iblib/lib t/50generic.t 1

I'll look into properly fixing the package.
Comment 7 Xavier Bachelot 2013-10-21 11:35:55 EDT
Here's the upstream bug for MIME::Lite 3.029:
https://rt.cpan.org/Public/Bug/Display.html?id=79944
Comment 8 Xavier Bachelot 2013-10-23 08:57:53 EDT
Created attachment 815405 [details]
spec file patch

Petr, would it be acceptable to just kill the failing tests together with documenting the reasoning, as done in this patch ? I can't find a way to reliably fix this, I would need to patch the test files differently for each Fedora release. The better option is to rewrite the tests, which is outside my skills, and rather a job for upstream.
Comment 9 Petr Pisar 2013-10-23 09:00:34 EDT
I think it's acceptable.
Comment 10 Fedora Update System 2013-10-23 09:37:02 EDT
perl-MIME-Lite-HTML-1.24-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-MIME-Lite-HTML-1.24-8.fc19
Comment 11 Fedora Update System 2013-10-23 09:37:14 EDT
perl-MIME-Lite-HTML-1.24-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-MIME-Lite-HTML-1.24-8.fc18
Comment 12 Fedora Update System 2013-10-23 09:37:23 EDT
perl-MIME-Lite-HTML-1.24-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-MIME-Lite-HTML-1.24-8.fc20
Comment 13 Fedora Update System 2013-10-23 13:32:57 EDT
Package perl-MIME-Lite-HTML-1.24-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-MIME-Lite-HTML-1.24-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19781/perl-MIME-Lite-HTML-1.24-8.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-10-31 23:51:45 EDT
perl-MIME-Lite-HTML-1.24-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-10-31 23:58:03 EDT
perl-MIME-Lite-HTML-1.24-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-11-10 01:33:15 EST
perl-MIME-Lite-HTML-1.24-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.